
# CS 349 A2 - Worse Paint

This is a drawing app akin to Microsoft Paint. You can draw lines of any given colour and thickness in the panel, rewind to see your history, press start to go to the start (empty), or end to go back to the latest changes and continue working.

## Getting Started
**Controls**

 - Painting: Click and drag the mouse over the canvas to draw a line
 - Selection of thiccness: Drag the slider on the left panel to increase/decrease thiccness of your line.
 - Colour selection: Click the "custom" colour to open a chooser with full options, or simply click on one of the default colour options to use them.
 - History: Drag the slider on the bottom back to watch your history undo itself. 
 - Start/End: Click start to reset the canvas, click end to jump back to the latest changes in your drawing.

## Deployment

Run "java Main" in build/classes/java/main, or "./gradlew run" in the root directory if you do not have gradle installed, and if you do "gradle run" should suffice.

## Enhancements

The first enhancement done is to rewind (fast forward is broken) not by "strokes", but rather by length. So, short lines are "erased" very quickly, and long lines the opposite. This seemed like a more intuitive design than time-based, so I chose to go this direction instead

The second enhancement was the live preview of your line if you were to draw it right now. This makes visualizing your thickness and colour combination very easy.

## Authors

* **Tareef Dedhar** - *All work* 
